Processing Tool - Bug #381

Als:When alarm id is null,it does not have prompt in the log file.
Description

Als:When alarm id is null,it does not have prompt in the log file.

1.When alarm id is null and it is the first table in the file(see attachment test4),process the procedure
Expected Resultl the alarm pic does not generate,and in the log file show which alarm id is null

Actual Resultl the alarm pic generate(see attachment pic 2)

2.When alarm id is null and it is in the mid of the file(see attachment test5),process the procedure
Expected Resultl the alarm pic does not generate,and in the log file show which alarm id is null
Actual Resultl the alarm pic does not generate,but the previous alarm pic show part of its content(see attachment pic3)

Zhouxuan_20220304_validate_ok_Als Tool 1.0.8

History

#1 - 02/16/2022 10:30 AM - hwyang
- Status changed from Reserved to Opened

- Assignee changed from hwyang to zzy

#2 - 02/17/2022 06:45 PM - Anonymous
- Status changed from Opened to Completed

see path https://117.78.0.17:8443/svn/gz/tool/Alarm_sheet/tags/1.0.7/runpanel

#3 - 02/18/2022 03:26 PM - gcyang
- Status changed from Completed to Opened

If the alarm id is null,the alarm pic will also generate now,but we expect that it will not generate and have a wrong prompt in the log file.

#4 - 02/23/2022 09:41 AM - Anonymous
- Status changed from Opened to Completed

see path https://117.78.0.17:8443/svn/gz/tool/Alarm_sheet/tags/1.0.8/runpanel

#5 - 03/07/2022 06:40 AM - zhouxuan

- Description updated

11/07/2025
https://117.78.0.17:8443/svn/gz/tool/Alarm_sheet/tags/1.0.7/runpanel
https://117.78.0.17:8443/svn/gz/tool/Alarm_sheet/tags/1.0.8/runpanel

- Status changed from Completed to Validated

- Additional info. set to Zhouxuan_20220304_validate ok _Als Tool 1.0.8

Files

pic 2.png 94.5 KB 02/15/2022 gcyang
pic 3.png 101 KB 02/15/2022 gcyang
test4.doc 338 KB 02/15/2022 gcyang
test5.doc 335 KB 02/15/2022 gcyang

11/07/2025

22


http://www.tcpdf.org

